apiVersion: apps/v1
kind: Deployment
metadata:
  name: kibana
  namespace: logging
  labels:
    k8s-app: kibana
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: kibana
  template:
    metadata:
      labels:
        k8s-app: kibana
      annotations:
        seccomp.security.alpha.kubernetes.io/pod: "docker/default"
    spec:
      containers:
        - name: kibana
          image: docker.elastic.co/kibana/kibana-oss:6.5.4
          resources:
            # need more cpu upon initialization, therefore burstable class
            limits:
              cpu: 1000m
            requests:
              cpu: 100m
          env:
            - name: ELASTICSEARCH_URL
              value: http://elasticsearch:9200
            # NOTE: The below section is needed if you plan on directly port forwarding via `kubectl proxy` and not to do the pod directly. IE:  kubectl -n logging port-forward deployment/kibana 5601:5601
            #- name: SERVER_BASEPATH
            #  value: /api/v1/namespaces/logging/services/kibana/proxy
          ports:
            - containerPort: 5601
              name: ui
              protocol: TCP
